<?php
/**
 * @package    Update Language
 * @version    0.1
 *
 * @author     Fco.Javier Felix <ffelix@inode64.com>
 * @link       http://www.inode64.com
 * @copyright  Copyright (C) 2010 Fco.Javier Félix! All Rights Reserved
 * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Import library dependencies
jimport( 'joomla.event.plugin' );

class plgSystemupdatelanguage extends JPlugin
{
	/**
	* Constructor
	*
	* For php4 compatability we must not use the __constructor as a constructor for
	* plugins because func_get_args ( void ) returns a copy of all passed arguments
	* NOT references. This causes problems with cross-referencing necessary for the
	* observer design pattern.
	*/
	function plgSystemupdatelanguage( &$subject, $config )
	{
		global $mainframe;

		if( $mainframe->isAdmin() ) {
			return;
		}

		parent::__construct( $subject, $params );
	}

	function onAfterRender()
	{
		$lang =& JFactory::getLanguage();
		$user =& JFactory::getUser();

		if (! $user->guest) {
		        $u =& JTable::getInstance('User','JTable');
			$u->load($user->get('id'));

		        $params = new JParameter( $u->params );
			if ( $params->get('language') != $lang->getTag()) {
			        $params->set('language', $lang->getTag());
			        $u->set('params', $params->toString());
			        $u->store();
		        }
		}
	}
}
